/**
 * functions beginLocal() and endLocal() are used to define a block
 * of HTML that only appears when the page is served locally.
 *
 * functions beginOnline() and endOnline() are used to define a block
 *  of HTML that only appears when the page is NOT serverd locally.
 *
 * Markus Hohenwarter, April 5 2006
 *
 * taken from http://www.chipchapin.com/WebTools/JavaScript/example1-03.html
 */


  // Conditional HTML package...
  var localURL = 0;
  url = document.URL;
  if (url.search(/^file:/) != -1) localURL = 1;


  // functions beginLocal() and endLocal() are used to define a block
  // of HTML that only appears when the page is served locally.
  function beginLocal()
  {
    if (!localURL)
    document.writeln("\<!--");
  }

  function endLocal()
  {
    if (!localURL)
    document.writeln("--\>");
  }


  // functions beginOnline() and endOnline() are used to define a block
  // of HTML that only appears when the page is NOT served locally.
  function beginOnline()
  {
    if (localURL)
    document.writeln("\<!--");
  }

  function endOnline()
  {
    if (localURL)
    document.writeln("--\>");
  }